Subject: [bug#40040] Resubmission of patch for Package Description for CRAN Package r-crochet

From: Naga Malleswari <[email-masked]>
Date: Thu, 19 Mar 2020 23:05:35 +0530

Hi

On 19/03/20 5:08 pm, Danny Milosavljevic wrote:
> Hi Naga,
>
> On Thu, 19 Mar 2020 13:43:30 +0530
> Naga Malleswari <[email-masked]> wrote:
>
>> Resubmitting v3 of my patch. I really hope i did the changes right.
> There's still an extra newline at the end of your file.
> "git am" still complained.
Understood I will remove it. It dint showup in lint. I will fix that.
>
> Also, we are using automated tools to apply these patches.  For that to work
> right without manual fiddling, please put eventual mail text below the "---"
> and above the "diff" (so it's filtered out by the automated tool).

Actually i dint get the "Eventual mail text" part. All i have is this in
the patch file

---
 gnu/packages/cran.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff

> This time, I had to edit the commit message to remove this conversation
> from the git log.
>
>> I am going through documentation and learning the things. For seeking 
>> clarification, Is there any other way i can communicate with you or the 
>> community. I have joined IRC channel as well #guix on freenode.
> For me, E-Mail is fine.  Some other Guix developers are on IRC in #guix
> on freenode.
>
> Note: It's better to put the version "v3" also in the subject line.
>
> I've checked the license and I don't think that r-crochet is Free Software
> or that the license is expat.  How did you determine the value of the
> license field?

Yes, you are correct. I have downloaded package description through 
guix import cran -r <package>. This resulted expat licence.

But its showing as MIT in the following link.

https://cran.r-project.org/web/packages/crochet/

The authors github page shows a file licence. Does it mean there is no
proper licensing applied for the package? In that case what should we do.

I have tried to check with previous package contributions in cran.scm
and found mismatch to whats available in website, source page to that of
result from guix import cran -r

r-isoband is showing expat in guix import,   MIT in website(
https://cran.r-project.org/web/packages/isoband/index.html) ,  git page
shows a file https://github.com/wilkelab/isoband

r-hrbrthemes is showing expat in guix import,   MIT in website,  git
page shows a file 

-- 
Regards
NagaMalli